## ros-humble-cascade-lifecycle-msgs 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(cascade_lifecycle_msgs)

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(lifecycle_msgs REQUIRED)
find_package(rosidl_default_generators REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  "msg/Activation.msg" 
  "msg/State.msg" 
 DEPENDENCIES builtin_interfaces lifecycle_msgs
)

ament_export_dependencies(rosidl_default_runtime lifecycle_msgs builtin_interfaces)

ament_package()

=== debian/changelog ===
ros-humble-cascade-lifecycle-msgs (1.0.2-2jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 30 Dec 2022 23:00:00 -0000

ros-humble-cascade-lifecycle-msgs (1.0.1-2jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 25 May 2022 22:00:00 -0000

ros-humble-cascade-lifecycle-msgs (1.0.0-2jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 02 Jul 2021 22:00:00 -0000

ros-humble-cascade-lifecycle-msgs (0.0.5-2jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 25 Mar 2020 23:00:00 -0000

ros-humble-cascade-lifecycle-msgs (0.0.4-2jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 22 Mar 2020 23:00:00 -0000

ros-humble-cascade-lifecycle-msgs (0.0.3-2jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 21 Mar 2020 23:00:00 -0000

ros-humble-cascade-lifecycle-msgs (0.0.2-2jammy) jammy; urgency=high

  * Nodes chained
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 12 Mar 2020 23:00:00 -0000

=== debian/control ===
Source: ros-humble-cascade-lifecycle-msgs
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-builtin-interfaces, ros-humble-lifecycle-msgs, ros-humble-rclcpp, ros-humble-rosidl-default-generators, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-cascade-lifecycle-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-builtin-interfaces, ros-humble-lifecycle-msgs, ros-humble-rclcpp, ros-humble-rosidl-default-generators, ros-humble-ros-workspace
Description: Messages for rclcpp_cascade_lifecycle package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-cascade-lifecycle-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-cascade-lifecycle-msgs 1.1.0

=== debian/changelog ===
ros-humble-cascade-lifecycle-msgs (1.1.0-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 03 Apr 2024 16:00:00 -0000

ros-humble-cascade-lifecycle-msgs (1.0.2-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 30 Dec 2022 16:00:00 -0000

ros-humble-cascade-lifecycle-msgs (1.0.1-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 25 May 2022 16:00:00 -0000

ros-humble-cascade-lifecycle-msgs (1.0.0-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 02 Jul 2021 16:00:00 -0000

ros-humble-cascade-lifecycle-msgs (0.0.5-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 25 Mar 2020 16:00:00 -0000

ros-humble-cascade-lifecycle-msgs (0.0.4-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 22 Mar 2020 16:00:00 -0000

ros-humble-cascade-lifecycle-msgs (0.0.3-1bookworm) bookworm; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 21 Mar 2020 16:00:00 -0000

ros-humble-cascade-lifecycle-msgs (0.0.2-1bookworm) bookworm; urgency=high

  * Nodes chained
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 12 Mar 2020 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-cascade-lifecycle-msgs//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-cascade-lifecycle-msgs//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-cascade-lifecycle-msgs//opt/ros/humble/opt/cascade_lifecycle_msgs/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
